'\"
'\" Copyright (c) 2003-2004 Paul H Alfille, MD
'\" (paul.alfille@gmail.com)
'\"
'\" Device manual page for the OWFS -- 1-wire filesystem package
'\" Based on Dallas Semiconductor, Inc's datasheets, and trial and error.
'\"
'\" Free for all use. No waranty. None. Use at your own risk.
'\" $Id$
'\"
.TH DS2430A 3  2003 "OWFS Manpage" "One-Wire File System"
.SH NAME
.B DS2430A, DS1971
\- 256-bit 1-wire EEPROM, 256-bit EEPROM ibutton
.SH SYNOPSIS
EEPROM
.PP
.B 14
[.]XXXXXXXXXXXX[XX][/[
.B application
|
.B status
|
.B memory
|
.so man3/standard_mini.3so
]]
.SH FAMILY CODE
.PP
.I 14
.SH SPECIAL PROPERTIES
.SS application
.I read-write, binary
.br
8 bytes of data. Write once, then
.I status
is 0xFC and further writing is impossible.
.SS status
.I read-only, unsigned integer
.br
Is the
.I application
area locked?
.TP
0xFF
Application area untouched
.TP
0xFC
Applcation area locked
.SS memory
.I read-write, binary
.br
32 bytes of data. (256 bits)
.SH STANDARD PROPERTIES
.so man3/standard.3so
.SH ALARMS
None.
.SH DESCRIPTION
.so man3/description.3so
.SS DS2430A
The
.B DS2430A (3)
is a memory 1-wire chip. It is considered obsolete and newer designs are supposed to use the
.B DS2431 (3)
.P
The
.B DS1971 (3)
is an iButton version of the same device.
.SH ADDRESSING
.so man3/addressing.3so
.SH DATASHEET
.br
http://pdfserv.maxim-ic.com/en/ds/DS2430A-DS2430AP.pdf
.SH SEE ALSO
.so man3/seealso.3so
.SH AVAILABILITY
http://www.owfs.org
.SH AUTHOR
Paul Alfille (paul.alfille@gmail.com)
